INTERFACE
SUBROUTINE gpscalc_alphaRKm2(kobs,&
 & klev,&
 & khoriz,&
 & ksplit,&
 & pdsep,&
 & pa,&
 & prefrac,&
 & pradius,&
 & pnr,&
 & proc,&
 & pz_2d,&
 & pa_path,&
 & palpha) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM), INTENT(IN) :: kobs
INTEGER(KIND=JPIM), INTENT(IN) :: klev
INTEGER(KIND=JPIM), INTENT(IN) :: khoriz
INTEGER(KIND=JPIM), INTENT(IN) :: ksplit
REAL(KIND=JPRB), INTENT(IN) :: pdsep
REAL(KIND=JPRB), INTENT(IN) :: pa(kobs)
REAL(KIND=JPRB), INTENT(IN) :: prefrac(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: pradius(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: pnr(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: proc
REAL(KIND=JPRB), INTENT(IN) :: pz_2d
REAL(KIND=JPRB), INTENT(OUT) :: pa_path(kobs,2)
REAL(KIND=JPRB), INTENT(OUT) :: palpha(kobs)
END SUBROUTINE gpscalc_alphaRKm2
END INTERFACE
